package entidad;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "trama", catalog = "bd_1"   )

public class Categoria  implements java.io.Serializable {

     private int catNoca;
     private String catNom;
     
    public Categoria() {}

    public Categoria(int catNoca, String catNom) 
    {this.catNoca = catNoca;   this.catNom = catNom;}
    
     @Id     
     @Column(name="cat_noca", nullable=false)
    public int getCatNoca() {return this.catNoca;} 
    public void setCatNoca(int catNoca) {this.catNoca = catNoca;}

    @Column(name="cat_nom", nullable=false, length=45)
    public String getCatNom() {return this.catNom;}
    public void setCatNom(String catNom) { this.catNom = catNom; }    
}


